<?php

class actionUcartBuyerAdd extends cmsAction {

    public function run(){
		
		$errors = false;
		
		$form = $this->getForm('buyer');
		
		$is_submitted = $this->request->has('submit');
		
		$buyer = false;
        
		if ($is_submitted){
			
            $buyer = $form->parse($this->request, $is_submitted);
			
			$errors = $form->validate($this, $buyer);
			
			if (!$errors){
				
				$this->model->addBuyer($buyer);
            
				$this->redirectToAction('buyer');
				
			}
			
			if ($errors){
				
				cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
				
			}
        
		}
		
        return cmsTemplate::getInstance()->render('backend/buyer_add', array(
            'form' => $form,
			'errors' => $errors,
			'buyer' => $buyer
        ));

    }

}
