<?php

function grid_status($controller){

    $options = array(
        'is_sortable' => false,
        'order_by' => 'ordering',
        'order_to' => 'asc',
        'is_pagination' => false,
        'is_filter' => false,
        'is_draggable' => true,
        'show_id' => true
    );

    $columns = array(
    	'id' => array(
    		'title' => 'ID',
    		'width' => 30
    	),
		'title' => array(
            'title' => 'Название',
        ),
    );

    $actions = array(
        array(
            'title' => LANG_CONFIG,
            'class' => 'config',
            'href' => href_to('admin', 'controllers', array('edit', 'ucart', 'status_edit', '{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'confirm' => 'Удалить статус?',
            'href' => href_to('admin', 'controllers', array('edit', 'ucart', 'status_delete', '{id}')),
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}
