<?php

class onUcartAfterUserpay extends cmsAction {

    public function run($data){

    	$userpay_model = cmsCore::getModel('userpay');

    	$order_id = explode('_', $data['order_id']);

        if ($order_id[1] == 'ucart') {

        	$order = $this->model->resetFilters()->getOrderById($order_id[0]);

        	if(!$order){ return $data; }

        	$in = $data['system'] == 'balance' ? false : true;

        	$userpay_model->addUserpayHistory(array('user_id'=>$order['user_id'], 'amount'=>-$data['amount'], 'title'=>'Покупка товара через: '.ucfirst($data['system']), 'is_pay'=>$in));

            $this->model->incrementOrderAmount($order_id[0], $data['amount']);

            if (isset($this->options['userpartner_on'])) {
            	$userpartner = cmsCore::isControllerExists('userpartner') ? cmsCore::getController('userpartner') : false;
        		if ($userpartner) {
        			$userpartner->model->resetFilters()->addPartnerBonus($order['user_id'], $data['amount']);
        		}
            }

        }

        return $data;

    }

}
