<?php

class onUcartUserTabShow extends cmsAction {

    public function run($profile, $tab_name){

    	$user = cmsUser::getInstance();

    	if ($user->id != $profile['id'] && !$user->is_admin){ cmsCore::error404(); }

    	$page = $this->request->get('page', 1);
		$perpage = 25;

    	$this->model->limitPage($page, $perpage);

		$order = $this->model->orderBy('id', 'desc')->filterEqual('user_id', $user->id)->getOrder();

		$total = $this->model->filterEqual('user_id', $user->id)->getOrderCount();

		return $this->cms_template->renderInternal($this, 'profile_tab', array(
			'profile' => $profile,
			'tab_name' => $tab_name,
			'order' => $order,
			'page' => $page,
			'perpage' => $perpage,
			'total' => $total
		));

    }

}
