<?php $this->addHead('<style>div#bin{display:none;}</style>'); ?>

<?php
    if( $ctype['options']['list_show_filter'] ) {
        $this->renderAsset('ui/filter-panel', array(
            'css_prefix'   => $ctype['name'],
            'page_url'     => $page_url,
            'fields'       => $fields,
            'props_fields' => $props_fields,
            'props'        => $props,
            'filters'      => $filters,
            'ext_hidden_params' => $ext_hidden_params,
            'is_expanded'  => $ctype['options']['list_expand_filter']
        ));
    }
?>

<?php if ($items){ ?>

    <div class="content_list ucart <?php echo $ctype['name']; ?>_list">

    	<?php foreach($items as $item){ ?>

			<div class="content_list_item <?php echo $ctype['name']; ?>_list_item<?php if (!empty($item['is_vip'])){ ?> is_vip<?php } ?>">

		        <div class="ucart_item">
		        	<a class="photos" style="background-image: url('<?php echo isset($item['photo']) ? html_image_src($item['photo'], $fields['photo']['options']['size_teaser'], true) : '/upload/default/no_photo.jpg'; ?>')" href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>"></a>
		        	<div class="title">
		        		<a href="<?php echo href_to($ctype['name'], $item['slug'].'.html'); ?>">
		        			<?php html($item['title']); ?>
		        		</a>
		        	</div>
		        	<?php if (!empty($item['price'])) { ?>
		        		<div class="item_price">
		        			<?php echo $fields['price']['handler']->setItem($item)->parseTeaser($item['price']); ?>
		        		</div>
		        	<?php } ?>
		        	<?php foreach($fields as $field){ ?>
                            <?php if ($field['type'] == 'ucartprops' && !empty($item[$field['name']])){ ?>
								<div class="ucart_item_props ft_ucartprops">
									<?php echo $field['handler']->setItem($item)->parseTeaser($item[$field['name']]); ?>
								</div>
                 			<?php } ?>
                        <?php } ?>
		        	<div class="item_bin">
		        		<?php foreach($fields as $field){ ?>
                            <?php if ($field['type'] == 'ucart'){ ?>
                                <?php echo $field['handler']->setItem($item)->parseTeaser($item[$field['name']]); ?>
                 			<?php } ?>
                        <?php } ?>
		        	</div>
		        </div>

		    </div>

		<?php } ?>

    </div>

    <?php if ($perpage < $total) { ?>
        <?php echo html_pagebar($page, $perpage, $total, $page_url, array_merge($filters, $ext_hidden_params)); ?>
    <?php } ?>

<?php  } else {

    if(!empty($ctype['labels']['many'])){
        echo sprintf(LANG_TARGET_LIST_EMPTY, $ctype['labels']['many']);
    } else {
        echo LANG_LIST_EMPTY;
    }

}
