<table width="100%">
	<tr>
		<td width="150" valign="top">Дата и время заказа:</td>
		<td><?php echo html_date($item['date_pub'], true); ?></td>
	</tr>
	<tr>
		<td valign="top">О заказе:</td>
		<td>
			<?php foreach ($item['items'] as $key => $value) { ?>
			<div style="font-size:12px;background:#f5f5f5;">
				<?php if(!empty($value['item']['model'])) { ?>
				<div>Артикул: <?php echo $value['item']['model']; ?></div>
				<?php } ?>
				<div>
					<a href="<?php echo href_to_abs($value['ctype_name'], $value['item']['slug'].'.html'); ?>">
						<?php echo $value['item']['title']; ?>
					</a>
				</div>
				<?php if (!empty($value['prop_value'])) { ?>
				<div>
					<?php foreach ($value['prop_value'] as $value_prop) { ?>
						<div>
							<?php echo $value_prop['title']; ?>: <?php echo $value_prop['value']; ?>
							<?php if(!empty($value_prop['ratio'])){ ?>
								<?php if($value_prop['unit'] == 'percent'){ //если проценты ?>
		            				(<?php echo html_signed_num($value_prop['ratio']); ?>%)
		            			<?php } else if ($value_prop['unit'] == 'value') { //иначе ?>
		            				(<?php echo html_signed_num($value_prop['ratio']).$this->controller->options['val']; ?>)
		            			<?php } ?>
		            		<?php } ?>
						</div>
					<?php } ?>
				</div>
				<?php } ?>
				<div>Количество: <?php echo $value['items_count']; ?></div>
			</div>
			<?php } ?>
		</td>
	</tr>
	<?php if(!empty($item['ratio'])){ ?>
	<tr>
		<td valign="top">Коэффициенты:</td>
		<td>
			<?php foreach ($item['ratio'] as $key => $value) { ?>
				<div><?php echo $value['title']; ?>: (<?php echo $value['value']; ?><?php if($value['unit'] == 1){ echo '%'; } ?>)</div>
			<?php } ?>
		</td>
	</tr>
	<?php } ?>
	<tr>
		<td valign="top">Доставка:</td>
		<td>
			<div><?php echo $item['delivery']['title']; ?></div>
			<div style="font-size:12px;background:#f5f5f5;"><?php echo $item['delivery']['description']; ?></div>
		</td>
	</tr>
	<tr>
		<td valign="top">Сумма заказа:</td>
		<td>
			<div><b><?php echo $item['summ_items']; ?> <?php echo $this->controller->options['val']; ?></b></div>
			<div>Оплачено: <?php echo $item['amount']>0 ? ($item['amount'].' '.$this->controller->options['val']) : 'Нет'; ?></div>
		</td>
	</tr>
	<tr>
		<td valign="top">О покупателе:</td>
		<td>
			<div style="font-size:12px;background:#f5f5f5;">
				<?php foreach ($item['buyer'] as $key => $value) { ?>
				<div><b><?php echo $value['title']; ?>:</b> <?php echo $value['value']; ?></div>
				<?php } ?>
			</div>
		</td>
	</tr>
	<tr>
		<td>Статус заказа:</td>
		<td><?php if(isset($item['status_details'])){ echo $item['status_details']['title']; } else { echo $item['status']; } ?></td>
	</tr>
</table>