<?php

class actionUcartGetDeliveryPrice extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()){ cmsCore::error404(); }
		
        $user = cmsUser::getInstance();

        $error = false;

		$id = $this->request->get('id');

		$delivery = $this->model->getDelivery($id);
		$items = $this->model->getCartItems($user->id);
		$summ_items = $this->getSummItems($items);

		if(!empty($delivery['price_free']) && $delivery['price_free']<$summ_items){
			$price = 0;
		} else if(!empty($delivery['price'])) {
			$price = $delivery['price'];
		} else {
			$price = 0;
		}

		cmsUser::sessionSet('delivery', $id);

        list($delivery, $items) = cmsEventsManager::hook('before_delivery', array($delivery, $items));
		
		$template = cmsTemplate::getInstance();
        $template->renderJSON(array(
            'error' => $error,
            'price' =>  $price
        ));

    }

}
