<?php

class actionUcartBuyerAjax extends cmsAction {

    public function run(){

        if (!$this->request->isAjax()) { cmsCore::error404(); }

        $grid = $this->loadDataGrid('buyer');

        $this->model->setPerPage(25);

        $filter     = array();
        $filter_str = $this->request->get('filter', '');

        if ($filter_str){
            parse_str($filter_str, $filter);
            $this->model->applyGridFilter($grid, $filter);
        }

        $total = $this->model->getBuyerCount();
        $pages = ceil($total / 25);

        $buyer = $this->model->getBuyer();
        
        cmsTemplate::getInstance()->renderGridRowsJSON($grid, $buyer, $total, $pages);

        $this->halt();

    }

}
