<?php

class actionUcartToggle extends cmsAction {

    public function run($id=false, $type=false){
        
        if (!$id || !$type) { 
            cmsTemplate::getInstance()->renderJSON(array(
                'error' => true,
            ));			
		}

		if ($type == 'delivery') {

			$item = $this->model->getDelivery($id);
			$is_enabled = $item['is_enabled'] ? 0 : 1;
			
			$this->model->updateDelivery($id, array('is_enabled' => $is_enabled));
		
		} else if ($type == 'ratio') {
			
			$item = $this->model->getRatio($id);
			$is_enabled = $item['is_enabled'] ? 0 : 1;
			
			$this->model->updateRatio($id, array('is_enabled' => $is_enabled));
		
		} else if ($type == 'buyer') {

			$item = $this->model->getBuyer($id);
			$is_enabled = $item['is_enabled'] ? 0 : 1;
			
			$this->model->updateBuyer($id, array('is_enabled' => $is_enabled));
		
		} else if ($type == 'buyerreq') {

			$item = $this->model->getBuyer($id);
			$is_enabled = $item['is_required'] ? 0 : 1;
			$this->model->updateBuyer($id, array('is_required' => $is_enabled));
		
		}

		cmsTemplate::getInstance()->renderJSON(array(
			'error' => false,
			'is_on' => $is_enabled
		));
		

    }

}
