<?php
    
	$this->addControllerCSS('styles', 'ucart');
	$this->addControllerJS('script', 'ucart');
	$this->addJS('templates/default/js/jquery-ui.js');

    $this->setPageTitle('Заказ №'.$item['id']);
    $this->addBreadcrumb($item['user']['nickname'], href_to('users', $item['user_id']));
    $this->addBreadcrumb('Мои покупки', href_to('users', $item['user_id'], 'ucart'));
    $this->addBreadcrumb('Заказ №'.$item['id']);

    if($user->is_admin){

		$this->addToolButton(array(
			'class' => 'edit',
			'title' => 'Редактировать заказ',
			'href' => href_to('admin', 'controllers', array('edit', 'ucart', 'order_edit', $item['id'].'?back=/ucart/order/'.$item['id']))
		));

	}

	if($user->is_admin || ($user->id == $item['user_id'] && $item['status'] == 1)){

		$this->addToolButton(array(
			'class' => 'delete',
			'title' => 'Удалить заказ',
			'confirm' => 'Вы действительно хотите отменить и удалить заказ?',
			'href' => href_to('ucart', 'order_delete', array($item['id']))
		));

	}

?>

<h1>Заказ №<?php echo $item['id']; ?></h1>

<?php $hooks_html = cmsEventsManager::hookAll("order_html_before", $item); ?>
<?php if ($hooks_html) { ?>
	<p><?php echo html_each($hooks_html); ?></p>
<?php } ?>

<?php echo $this->renderChild('order_html', array('item'=>$item)); ?>

<?php if (!empty($this->controller->options['order_item_after'])) { ?>
	<p><?php echo $this->controller->options['order_item_after']; ?></p>
<?php } ?>

<?php $hooks_html = cmsEventsManager::hookAll("order_html_after", $item); ?>
<?php if ($hooks_html) { ?>
	<p><?php echo html_each($hooks_html); ?></p>
<?php } ?>